서버가 10.04에서 12.04로 업데이트가 안됩니다

업데이트 관리자에서 버튼 눌러서 실행했는데

[quote:192ci7rn]업그레이드를 계산할 수 없습니다.
Could not calculate the upgrade.[/quote:192ci7rn]
요런 메세지가 나오면서 업그레이드가 안되네요.

firefox-stable이랑 virtualbox하고 cobuntu의 ppa를 추가해서 사용하고 있었는데요.
저장소에 서드파티가 들어가 있으면 안된다길래 소프트웨어 소스에서 '기타 소프트웨어’에 있는 저장소를 다 해제하고 다시 실행시켜봐도 안됩니다.

뭔가 문제가 있는 패키지를 지워야하나본데…
어떤 패키지를 지우면 되는지를 어떻게 알 수 있을까요?

[code:192ci7rn]update-manager -d[/code:192ci7rn]를 실행시켜봐도 별 메세지도 없고…
그냥 막 지워봐야하나…

아니면 CD를 굽고 업그레이드를 하면 그냥 될까요?

이런저런 검색해봤지만 데스크톱 사용자라서… 서버 업그레이드 이야기를 이해하진 못했습니다.
그나마 아는 명령어 sudo apt-get이 나와서 반갑긴 했지만;;;
이거슨 데스크톱 사용자의 한계;;; :shock:

PreciseUpgrades
Network Upgrade for Ubuntu Desktops 10.04 LTS to 12.04 LTS (Recommended)

https://help.ubuntu.com/community/PreciseUpgrades

From 10.04 to 12.04

https://wiki.ubuntu.com/PrecisePangolin ... 4_to_12.04

Upgrading Ubuntu 10.04 Lucid to 12.04 Precise

https://www.virtualmin.com/documentatio ... to-precise

Why is “No new release found” when upgrading 10.04 to 12.04 LTS?

http://askubuntu.com/questions/125392/w ... -12-04-lts

10.04 LTS to 12.04.1 LTS: "Could not calculate the upgrade"

http://ubuntuforums.org/showthread.php?t=2057215

제 서버는 우분투 사이트에서 받은 우분투 데스크탑을 설치하고 서버 커널과 LVM2를 추가 설치한 녀석입니다.
근본은 우분투 데스크탑이죠.

3개의 링크는 그냥 일반적으로 배포판 업그레이드 하는 방법에 대한 내용들이고,
마지막 링크가 저도 구글 검색할 때 찾은 녀석이고 제 증상과 동일한데, 마지막 댓글이 달리고 3주가 지났는데도 해결은 안되었더군요.

지금의 생각은 그냥 지원이 끊길 때까지 쓰다가 상위 버전으로 새로 설치하는 것이 낫지 않으려나 생각하고 있습니다.
LVM 설정과 웹, ftp, sql 등 다 백업하고 다시 설정하려면… 에휴…